Summary:	listres application - list resources in widgets
Summary(pl.UTF-8):	Aplikacja listres - lista zasobów w widgetach
Name:		xorg-app-listres
Version:	1.0.6
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	https://xorg.freedesktop.org/releases/individual/app/listres-%{version}.tar.xz
# Source0-md5:	b4763856d2d9a816cba6eab1410711a0
URL:		https://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-lib-libXaw-devel
BuildRequires:	xorg-lib-libXmu-devel
BuildRequires:	xorg-lib-libXt-devel
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The listres program generates a list of a widget's resource database.
The class in which each resource is first defined, the instance and
class name, and the type of each resource is listed. If no specific
widgets or the -all switch are given, a two-column list of widget
names and their class hierarchies is printed.

%description -l pl.UTF-8
Program listres generuje listę bazy danych zasobów widgetów.
Wypisywana jest klasa, w której każdy zasób jest po raz pierwszy
definiowany, nazwa instancji i klasy oraz typ zasobu. Jeśli nie podano
określonego widgetu lub podano parametr -all, wypisywana jest
dwukolumnowa lista nazw widgetów i ich hierarchii klas.

%prep
%setup -q -n listres-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog
%attr(755,root,root) %{_bindir}/listres
%{_mandir}/man1/listres.1*
%changelog
* Sun Mar 03 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-app-listres.git;a=log;h=master

* Sun Mar 03 2024 Jakub Bogusz <qboosh@pld-linux.org> 167bf99
- updated to 1.0.6

* Thu Apr 14 2022 Jakub Bogusz <qboosh@pld-linux.org> 2a8357f
- updated to 1.0.5

* Thu Mar 15 2018 Jakub Bogusz <qboosh@pld-linux.org> b90b0b8
- updated to 1.0.4

* Sun May 03 2015 Jan Rękorajski <baggins@pld-linux.org> 94fc09f
- fix files
- rel 2

* Fri Mar 02 2012 Jakub Bogusz <qboosh@pld-linux.org> 4b2ecaa
- updated to 1.0.3

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> 395b6f8
- dropped pre-cvs changelog

* Wed May 26 2010 Jakub Bogusz <qboosh@pld-linux.org> 2ed5b47
- updated to 1.0.2
- removed obsolete xaw patch

* Tue Nov 11 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 3d13c54
- rel 4; fix xaw related build

* Tue Nov 11 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 6606249
- new

* Fri Nov 07 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 4610352
- release 3

* Mon Jul 28 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 0909f51
- release 2

* Mon Apr 30 2007 Jakub Bogusz <qboosh@pld-linux.org> f46332a
- informative descs from man

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> e06ae50
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> bf725a4
- converted to UTF-8

* Sun Oct 15 2006 Jakub Bogusz <qboosh@pld-linux.org> 9bbe79a
- use individual dir, more verbose files, release 1

* Tue Jan 10 2006 Jakub Bogusz <qboosh@pld-linux.org> 5ac27bd
- 1.0.1 (X11R7.0 release)

* Fri Dec 09 2005 Jakub Bogusz <qboosh@pld-linux.org> 44ab76b
- 0.99.2 (X11R7.0-RC3)

* Sat Oct 22 2005 Jakub Bogusz <qboosh@pld-linux.org> fdff587
- pkgconfig epoch

* Fri Oct 21 2005 Jakub Bogusz <qboosh@pld-linux.org> cb67285
- 0.99.1 (X11R7.0-RC1)
- removed outdated man patch

* Sat Aug 27 2005 Jakub Bogusz <qboosh@pld-linux.org> db0c111
- sorted BRs

